Bug 1272946 - (CVE-2015-5211) CVE-2015-5211 Spring Framework: Reflected File Download (RFD) vulnerability
CVE-2015-5211 Spring Framework: Reflected File Download (RFD) vulnerability
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20151015,repor...
: Security
Depends On: 1272947
Blocks: 1272948
  Show dependency treegraph
 
Reported: 2015-10-19 05:41 EDT by Martin Prpič
Modified: 2015-11-01 17:18 EST (History)
3 users (show)

See Also:
Fixed In Version: Spring Framework 3.2.15, Spring Framework 4.1.8, Spring Framework 4.2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 23:38:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2015-10-19 05:41:31 EDT
Under some situations, the Spring Framework is vulnerable to a Reflected File Download (RFD) attack. The attack involves a malicious user crafting a URL with a batch script extension that results in the response being downloaded rather than rendered and also includes some input reflected in the response.

Users of affected Spring Framework versions should upgrade as follows:

- 3.2.x upgrade to 3.2.15+.
- 4.0.x and 4.1.x upgrade to 4.1.8+.
- 4.2.x upgrade to 4.2.2+.

Upstream bug:

https://jira.spring.io/browse/SPR-13548

Upstream patches:

https://github.com/spring-projects/spring-framework/commit/2bd1da
https://github.com/spring-projects/spring-framework/commit/a95c3d
https://github.com/spring-projects/spring-framework/commit/03f547

External References:

https://pivotal.io/security/cve-2015-5211
Comment 1 Martin Prpič 2015-10-19 05:41:58 EDT
Created springframework tracking bugs for this issue:

Affects: fedora-all [bug 1272947]
Comment 2 Jason Shepherd 2015-10-21 23:38:28 EDT
Spring Web is not a supported framework for developing on Red Hat products. We'll be doing a assessment of our supported frameworks and will raise seperate CVEs if required.

Note the the impact of Reflected File Download style attacks is moderate. Users need to be tricked into clicking links and has limited browser compatibility. It cannot be used compromise application data confidentiality or integrity, only that of end user systems.
Comment 3 Fedora Update System 2015-10-31 22:33:02 EDT
springframework-3.2.15-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2015-11-01 16:50:38 EST
springframework-3.2.15-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-11-01 17:18:54 EST
springframework-3.2.15-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.